#include "DBDDropDownContainerWidget.h"
#include "DropDownViewData.h"
#include "Types/SlateEnums.h"
#include "Components/SlateWrapperTypes.h"

class UCoreKeyListenerInputPromptWidget;
class UCoreButtonWidget;
class UDBDDropDownListWidget;

void UDBDDropDownContainerWidget::SetEditInputPrompt(UCoreKeyListenerInputPromptWidget* prompt)
{

}

void UDBDDropDownContainerWidget::SetData(const TArray<FDropDownViewData>& data, const int32 selectedOptionIndex)
{

}

void UDBDDropDownContainerWidget::OnUnhover(UCoreButtonWidget* button)
{

}

void UDBDDropDownContainerWidget::OnTextCommitted(const FText& text, ETextCommit::Type commitMethod)
{

}

void UDBDDropDownContainerWidget::OnHover(UCoreButtonWidget* button)
{

}

void UDBDDropDownContainerWidget::OnEditButtonTriggered()
{

}

void UDBDDropDownContainerWidget::OnDropDownVisibilityChanged(ESlateVisibility currentVisibility)
{

}

void UDBDDropDownContainerWidget::OnDropDownOptionSelected(int32 optionId)
{

}

void UDBDDropDownContainerWidget::OnContainerVisibilityChanged(ESlateVisibility currentVisibility)
{

}

void UDBDDropDownContainerWidget::Init(UDBDDropDownListWidget* listWidget)
{

}

UDBDDropDownContainerWidget::UDBDDropDownContainerWidget()
{
	this->BindingOption = EInputBindingOption::DontBind;
}
